//
//  CatAgeViewController.m
//  CatAge
//
//  Created by yoshiyuki oshige on 2013/03/22.
//  Copyright (c) 2013年 yoshiyuki. All rights reserved.
//

#import "CatAgeViewController.h"

@interface CatAgeViewController ()
//年齢を換算する関数
- (double) catAgeToHumanAge:(double)catAge;
@end

@implementation CatAgeViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

//換算処理
- (IBAction)calc:(id)sender {
    double catAge = [_catField.text doubleValue];
    double humanAge = [self catAgeToHumanAge:catAge];
    NSString *ans;
    ans = [NSString stringWithFormat:@"%.1f歳", humanAge];
    _humanLabel.text = ans;
}

//猫年齢を人年齢に換算する関数
- (double) catAgeToHumanAge:(double)catAge
{
    double age;
    if(catAge<=1){
        age = 20*catAge;
    } else if(catAge<=5) {
        age = catAge*6+15;
    } else if(catAge<=10) {
        age = catAge*5+20;
    } else if(catAge<=15) {
        age = catAge*4+30;
    } else {
        age = catAge*3+45;
    }
    return age;
}

//入力文字数を制限する
- (BOOL)textField:(UITextField *)textField shouldChangeCharactersInRange:(NSRange)range replacementString:(NSString *)string
{
    //変更前のテキストを取得
    NSMutableString *tmp = [_catField.text mutableCopy];
    //編集後のテキストを作る
    [tmp replaceCharactersInRange:range withString:string];
    //100歳以下である
    BOOL isAgeLimit = [tmp doubleValue] <= 100;
    //4文字以下である
    BOOL isLengthLimit = [tmp length] <= 4;
    //両方の条件を満たすときYESを返す（入力される）
    return isAgeLimit && isLengthLimit;
}

@end
