//
//  Food.m
//  ChoiceFood
//
//  Created by yoshiyuki oshige on 2013/03/28.
//  Copyright (c) 2013年 yoshiyuki. All rights reserved.
//

#import "Food.h"

@implementation Food

//NSObjectのinitをオーバーライドする
- (id)init
{
    self = [self initWithFoods:@[]];
    return self;
}

//イニシャライザ
- (id)initWithFoods:(NSArray *)entryFoods
{
    //スーパークラスのinitで初期化済みのselfを取得する
    self = [super init];
    //foodsの値を設定する
    if(entryFoods.count<=0){
        //entryFoodsが空だったら初期値を設定する
        foods = @[@"和食", @"中華", @"インド料理", @"イタリア料理"];
    }else{
        //entryFoodsと同じ値の新しい配列を作る
        foods= [[NSArray alloc] initWithArray:entryFoods];
    }
    //プロパティcounterをリセットする
    _counter = 0;
    
    return self;
}

//食事をランダムに選んで返す
- (NSString *)choiceFood
{
    //実行回数をカウントアップする
    _counter++;
    //配列からランダムに選ぶ
    NSInteger pos = arc4random()%(foods.count);
    //選んだ食事を返す
    return foods[pos];
}

@end
